package com.hanbit.comm.performance;

import java.util.Vector;

public class PerformanceManager
{
    private Vector performanceList = null;

    private static PerformanceManager _instance;

    private PerformanceManager(){
        performanceList = new Vector();
    }
    
    public static PerformanceManager getInstance(){
        if(_instance == null) _instance = new PerformanceManager();
        return _instance;
    }
    
    public Vector getPerformanceList(){
        return performanceList;
    }
    public void survey(String className,long ellapsed)
    {
        PerformanceIF performance = getPerformance(className);
        performance.setSurvey(ellapsed);
    }
    
    public void register(PerformanceIF performance){
        performanceList.add(performance);
    }
    public PerformanceIF getPerformance(String className){
        for(int i=0;i < performanceList.size();i++){
            PerformanceIF performance = (PerformanceIF)performanceList.get(i);
            if(performance.getClassName().equals(className)) return performance;
        }
        return null;
    }
}
