package com.hanbit.comm.valueobject;

import java.util.Vector;


public class ValueObjectCreator {
    public Vector getValueObjectList(ValueObjectFactory factory) {
        if (factory == null) {
            return null;
        }

        Vector vt = new Vector();

        while (factory.hasMoreElements()) {
            vt.add(factory.nextElement());
        }

        return vt;
    }
}