package com.hanbit.comm.valueobject;

import java.util.Enumeration;
import java.util.Vector;


public abstract class ValueObjectFactory implements Enumeration {
    protected Object valueobject;
    protected Object source;

    public ValueObjectFactory(Object source, Object valueobject) {
        this.source = source;
        this.valueobject = valueobject;
    }

    public ValueObjectFactory() {
    }

    public abstract Object nextElement();

    public abstract boolean hasMoreElements();
}