package com.hanbit.ga.ejb.entity.emp;

import java.sql.Timestamp;


public class EmpVO implements java.io.Serializable {
    public Integer empno;
    public String ename;
    public String job;
    public int mgr;
    public Timestamp hiredate;
    public double sal;
    public double comm;
    public int deptno;
    public Timestamp upddate;

    public EmpVO() {
    }

    public EmpVO(Integer empno, String ename, String job, int mgr, 
                 Timestamp hiredate, double sal, double comm, int deptno, 
                 Timestamp upddate) {
        init(empno, ename, job, mgr, hiredate, sal, comm, deptno, upddate);
    }

    public EmpVO(EmpVO empVO) {
        init(empVO.empno, empVO.ename, empVO.job, empVO.mgr, empVO.hiredate, 
             empVO.sal, empVO.comm, empVO.deptno, empVO.upddate);
    }

    public EmpVO getData() {
        return new EmpVO(this);
    }

    public void init(Integer empno, String ename, String job, int mgr, 
                     Timestamp hiredate, double sal, double comm, int deptno, 
                     Timestamp upddate) {
        setEmpno(empno.intValue());
        setEname(ename);
        setJob(job);
        setMgr(mgr);
        setHiredate(hiredate);
        setSal(sal);
        setComm(comm);
        setDeptno(deptno);
        setUpddate(upddate);
    }

    public int getEmpno() {
        if (empno == null) {
            return 0;
        }

        return empno.intValue();
    }

    public void setEmpno(int aEmpno) {
        empno = new Integer(aEmpno);
    }

    public String getEname() {
        return ename;
    }

    public void setEname(String aEname) {
        ename = aEname;
    }

    public String getJob() {
        return job;
    }

    public void setJob(String aJob) {
        job = aJob;
    }

    public int getMgr() {
        return mgr;
    }

    public void setMgr(int aMgr) {
        mgr = aMgr;
    }

    public Timestamp getHiredate() {
        return hiredate;
    }

    public void setHiredate(Timestamp aHiredate) {
        hiredate = aHiredate;
    }

    public double getSal() {
        return sal;
    }

    public void setSal(double aSal) {
        sal = aSal;
    }

    public double getComm() {
        return comm;
    }

    public void setComm(double aComm) {
        comm = aComm;
    }

    public int getDeptno() {
        return deptno;
    }

    public void setDeptno(int aDeptno) {
        deptno = aDeptno;
    }

    public Timestamp getUpddate() {
        return upddate;
    }

    public void setUpddate(Timestamp aUpddate) {
        upddate = aUpddate;
    }
}