package com.hanbit.ga.ga1108;

import com.hanbit.comm.ejb.session.*;
import com.hanbit.comm.servlet.*;
import com.hanbit.comm.code.*;

import javax.ejb.*;
import javax.naming.*;

import javax.servlet.*;
import javax.servlet.http.*;

import java.util.*;
import java.rmi.RemoteException;


public class GA1108Query implements Command{
    private String next;

    public GA1108Query(String next){
        this.next = next;
    }
    
    public String execute(HttpServletRequest req)
    throws CommandException{
        HttpSession session = req.getSession();
        String msgKey       = req.getRequestedSessionId();
        String tableName = req.getParameter("tableName");
        try{
            MetaCodeManager metaMgr = MetaCodeManager.getInstance();
            CodeManager mgr = metaMgr.getCodeManager(tableName);
            req.setAttribute(GA1108Servlet.DM_NAME,mgr);
            if((mgr != null) && (mgr.getCodes() != null))
                req.setAttribute(msgKey,new Message(mgr.getCodes().length+" Row's Selected"));
        }catch(Exception e){
            throw new CommandException(e);
        }
        return next;
    }
}
