package com.hanbit.ga.ga1115;

import com.hanbit.comm.ejb.session.*;
import com.hanbit.comm.servlet.*;
import com.hanbit.comm.cron.*;

import javax.naming.*;
import javax.servlet.http.*;

public class GA1115Query implements Command{
    private String next;

    public GA1115Query(String next){
        this.next = next;
    }
    
    public String execute(HttpServletRequest req)
    throws CommandException{
        HttpSession session = req.getSession();
        String msgKey       = req.getRequestedSessionId();
        String className    = req.getParameter("className");
        try{
            CronManager mgr = CronManager.getInstance();
            Cron cron = (Cron)mgr.cronMap.get(className);
            req.setAttribute(GA1115Servlet.CRON_NAME,cron);
        }catch(Exception e){
            throw new CommandException(e);
        }
        return next;
    }
}
