//String Function
function _twoDigit(value){
    return (eval(value) < 10) ? '0'+value:value;
}

function _upperCase(obj){
    if(!obj) return;
    var val = new String();
    val = obj.value;
    obj.value = val.toUpperCase();
}

function _lowerCase(obj){
    if(!obj) return;
    var val = new String();
    val = obj.value;
    obj.value = val.toLowerCase();
}
//Date Function
function _weekOfDay(value){
    var day  = _makeDate(value);
    var week = ['SUN','MON','TUE','WED','THU','FRI','SAT']; 
    return week[day.getDay()];
}
function _makeDate(value){
    if(_isValidDateFormat(value)){
        var day = new Date(Date.parse(value));
        return day;
    }else{
        alert("_makeDate :" + value + " is not a valid Date Format");
        return null;
    }
}
// Return today(YYYY/MM/DD)
function _getToday(){
    var day = new Date();
    var today = day.getFullYear() + '/' + _twoDigit(day.getMonth()+ 1) + '/' + _twoDigit(day.getDate());
    return today;
}
function _getTodayTime(){
    var day = new Date();
    var today = day.getFullYear() + '/' + _twoDigit(day.getMonth()+ 1) + '/' + _twoDigit(day.getDate())+' '+
                _twoDigit(day.getHours()) + ':' + _twoDigit(day.getMinutes());
    return today;
}
function _isValidDateFormat(date){
    var day = new Date(Date.parse(date));
    return (isNaN(day.getFullYear()))? false : true;
}
function _isValidYYYYMMDD(obj){
    //    Ѵ.
	if(obj.value == '') return true;
	var str = String(obj.value);
	var year,month,date;
	if(str.length == 8){ //YYYYMMDD
		year = str.substr(0,4);
		month = str.substr(4,2);
		date  = str.substr(6,2);
	}else if(str.length == 10){ //YYYY/MM/DD
		str = str.replace(/\//g,'');
		year = str.substr(0,4);
		month = str.substr(4,2);
		date  = str.substr(6,2);
	}
	if((year != null) && (month != null) && (date != null)){
		var day = new Date(0);
		day.setFullYear(year);
		day.setMonth(month - 1);
		day.setDate(date);
		//alert(day.getMonth(+1));
		if((year != day.getFullYear()) || (month != (day.getMonth()+1)) || (date != day.getDate())){
			alert(obj.value+ " Is Not A Valid Date Format(YYYY/MM/DD)");
			obj.focus();
		}else{
			obj.value = day.getFullYear() + '/' + _twoDigit(day.getMonth()+ 1) + '/' + _twoDigit(day.getDate());
			return true;
		}
	}else{
		alert(obj.value+ " Is Not A Valid Date Format(YYYY/MM/DD)");
		obj.focus();
		return false;
	}
}
function _isValidYYYYMMDDHHMI(obj){
	if(obj.value == null) return true;
	var str = String(obj.value);
	var year,month,date,hour,minu;
	if(str.length == 12){ //YYYYMMDDHHMI
		year = str.substr(0,4);
		month = str.substr(4,2);
		date  = str.substr(6,2);
		hour  = str.substr(8,2);
		minu  = str.substr(10,2);
	}else if(str.length == 16){ //YYYY/MM/DD HH:MI
		str = str.replace(/\//g,'');
		str = str.replace(/ /g,'');
		str = str.replace(/:/g,'');
		year = str.substr(0,4);
		month = str.substr(4,2);
		date  = str.substr(6,2);
		hour  = str.substr(8,2);
		minu  = str.substr(10,2);
	}
	if((year != null) && (month != null) && (date != null)){
		var day = new Date();
		day.setFullYear(year);
		day.setMonth(month - 1);
		day.setDate(date);
		day.setHours(hour);
		day.setMinutes(minu);
		if((year != day.getFullYear()) || (month != (day.getMonth()+1)) || (date != day.getDate()) ||
		   (hour != day.getHours()) || (minu != day.getMinutes())){
			alert(obj.value+ " Is Not A Valid Date Format(YYYY/MM/DD HH:MI)");
			obj.focus();
		}else{
			obj.value = day.getFullYear() + '/' + _twoDigit(day.getMonth()+ 1) + '/' + _twoDigit(day.getDate())+' '+
                        _twoDigit(day.getHours())+':'+_twoDigit(day.getMinutes());
			return true;
		}
	}else{
		alert(obj.value+ " Is Not A Valid Date Format(YYYY/MM/DD HH:MI)");
		obj.focus();
		return false;
	}
}
function _yymmddhhmiss(date){
    if(_isValidDateFormat(date)){
        var day   = new Date(Date.parse(date));
        var year  = day.getFullYear();
        var month = _twoDigit(day.getMonth()+ 1);
        var date  = _twoDigit(day.getDate());
        var hour  = _twoDigit(day.getHours());
        var minu  = _twoDigit(day.getMinutes());
        var sec   = day.getSeconds();
        var format = year + "/" + month + "/" + date + " " + hour + ":" + minu + ":" + sec;
        return format;
    }else{
        alert("_yymmddhhmiss :" + date + " is not a Valid Date Format");
    }
}
function _yymmddhhmi(date){
    if(_isValidDateFormat(date)){
        var day   = new Date(Date.parse(date));
        var year  = day.getFullYear();
        var month = _twoDigit(day.getMonth()+ 1);
        var date  = _twoDigit(day.getDate());
        var hour  = _twoDigit(day.getHours());
        var minu  = _twoDigit(day.getMinutes());
        var format = year + "/" + month + "/" + date + " " + hour + ":" + minu;
        return format;
    }else{
        alert("_yymmddhhmi :" + date + " is not a Valid Date Format");
    }
}
function _yymmdd(date){
    if(_isValidDateFormat(date)){
        var day = new Date(Date.parse(date));
        var year = day.getFullYear();
        var month = _twoDigit(day.getMonth()+ 1);
        var date  = _twoDigit(day.getDate());
        var format = year + "/" + month + "/" + date;
        return format;
    }else{
        alert("_yymmdd :" + date + " is not a Valid Date Format");
    }
}
// Calendar ModalWindow  function
// Usage : _calendar(obj) -> 1900 ~ ⵵+15 .
//       : _calendar(obj,minusYear,plusYear) -> -minusYear ~ +plusYear .
function _calendar(obj,minusYear,plusYear){
  var now  = new Date();
  var startYear = new Number();
  var endYear = new Number();
  var val = "";
  if(arguments.length == 3){
		endYear = now.getFullYear() + plusYear;
		startYear   = now.getFullYear() - minusYear;
  }else if(arguments.length == 1){
		endYear =  now.getFullYear() + 15;
		startYear   =  1990;
  }else{
	alert("_calendar: Usage: _calendar(obj) or _calendar(obj,fromYear,toYear)");
	return false;
  }
  var sysId = _getSystem(window.location.pathname);
  var url = "/comm/calendar.jsp?startYear="+startYear+"&endYear="+endYear+"&sysId="+sysId+"&time="+now.getTime();
  var rv  = window.showModalDialog(url,"","dialogHeight:260px; dialogWidth:285px; center:yes; help:off; status:off;");
  if(rv){
  	if(obj.size > 15){
          val = rv+' 00:00';
	}else{
	     val = rv;
	}
    if(obj.readOnly == false) obj.value = val;
  }
}
//Number Function
function _setFormat(obj,d){
  n = obj.value
  n = _round (n, d);
  var point = n.indexOf('.');
  //Ҽ  .
  if(point == -1) point = n.length;
  for (var i = point - 3; i > 0; i -= 3)
    n = n.substring(0, i) + ',' + n.substring(i);
  obj.value = n;  
}
function _round (n, d) {
  n = n - 0;
  var f = Math.pow(10, d);
  n = Math.round(n * f) / f;
  n += Math.pow(10, - (d + 1));
  n += '';
  return d == 0 ? n.substring(0, n.indexOf('.')) :
      n.substring(0, n.indexOf('.') + d + 1);
}
function _floor(n,d){
  n = n - 0;
  var f = Math.pow(10,d);
  n = Math.floor(f)/Math.pow(10,d);
  return n;
}
function _decimal(value){
    if(!isNaN(value)){
        return value - Math.floor(value);
    }else{
        alert("_decimal:"+value+" is not  a Valid Number");
    }
}
function _nvl(value,default_value){
    return (isNaN(value))? default_value : value;
}
function _setNumFormat(obj,d){
	var str = new String(_unsetNumFormt(obj.value));
	obj.value = _setFormat(str,d);
}
function _unsetNumFormat(obj){
	var str = new String(obj.value);
	obj.value = str.replace(/,/g,'');
}
function _isValidNumber(obj){
    if(obj){
        if(obj.value != null){
            var str = new String(obj.value);
            str = str.replace(/,/g,'');
            if(isNaN(str)){
                alert(obj.value + ' Is Not A Valid Number Format');
                return false;
            }else{
                return true;
            }
        }
    }
    return false;
}
// Cookie Function
// Cookie ϴ Լ(̸,,( ))
// Example : 31ϰ . _setCookie('op.op2401.table.occurPortCode','hello',31)
function _setCookie(name,value,expires){
    var exp = new Date();
    if(expires == null){
        expires = 31; // Default 31
    }else if(expires == -1){
        expires = 365; // -1  ϳ.
    }
    exp.setTime(exp.getTime() + (1000*60*60*24*expires));
    document.cookie = name + "=" + escape(value) + "; path=/;" + "expires=" + exp.toGMTString(); 
}
// Cookie  Լ
function _getCookie(name){
    var cname = name + "=";
    var dc = document.cookie;
    if(dc.length > 0){
        begin = dc.indexOf(cname);
        if(begin != -1){
            begin += cname.length;
            end = dc.indexOf(";",begin);
            if(end == -1) end = dc.length;
            return unescape(dc.substring(begin,end));
        }
    }
    return null;
}
// Cookie ϴ Լ.
function _delCookie(name){
    document.cookie=name + "=; expires=Thu, 01-Jan-70 00:00:01 GMT" + "; path=/";
}
//Form Object Check 
function _isNotNull(){
    var nullColumn = String();
    var name       = String();
    for(var i=0;i < arguments.length;i++){
        if(arguments[i]){
            if(arguments[i].value == ''){ 
                name = arguments[i].name;
                if(name.match(/^arg/i))
                    name = name.substring(3);
                nullColumn += name;
                nullColumn += " ";
            }
        }else{
            alert("_isNotNull: "+(i+1)+"th Argument Is Undefined,Check It First");
        }
    }
    if(nullColumn != ''){
        alert("Please Insert "+nullColumn);
        return false;
    }
    return true;
}
function _isRadioChecked(obj){
    for(var i=0;i < obj.length;i++){
        if(obj[i].checked){
            return true;
        }
    }
    return false;
}
function _setSelected(obj,val){
    var arr = new Array();
    arr = obj.options;

    for(var i = 0; i < arr.length ;i++){
        if(arr[i].value == val) arr[i].selected = true;
    }
}
// SunMyoung System
function MM_jumpMenu(targ,selObj,restore){ //v3.0
  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
  if (restore) selObj.selectedIndex=0;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v3.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document); return x;
}

function MM_nbGroup(event, grpName) { //v3.0
  //  ־  : onClick 2000/11/20 ȣ
  if(event == 'down') return;
  var i,img,nbArr,args=MM_nbGroup.arguments;
  if (event == "init" && args.length > 2) {
    if ((img = MM_findObj(args[2])) != null && !img.MM_init) {
      img.MM_init = true; img.MM_up = args[3]; img.MM_dn = img.src;
      if ((nbArr = document[grpName]) == null) nbArr = document[grpName] = new Array();
      nbArr[nbArr.length] = img;
      for (i=4; i < args.length-1; i+=2) if ((img = MM_findObj(args[i])) != null) {
        if (!img.MM_up) img.MM_up = img.src;
        img.src = img.MM_dn = args[i+1];
        nbArr[nbArr.length] = img;
    } }
  } else if (event == "over") {
    document.MM_nbOver = nbArr = new Array();
    for (i=1; i < args.length-1; i+=3) if ((img = MM_findObj(args[i])) != null) {
      if (!img.MM_up) img.MM_up = img.src;
      img.src = (img.MM_dn && args[i+2]) ? args[i+2] : args[i+1];
      nbArr[nbArr.length] = img;
    }
  } else if (event == "out" ) {
    for (i=0; i < document.MM_nbOver.length; i++) {
      img = document.MM_nbOver[i]; img.src = (img.MM_dn) ? img.MM_dn : img.MM_up; }
  } else if (event == "down") {
    if ((nbArr = document[grpName]) != null)
      for (i=0; i < nbArr.length; i++) { img=nbArr[i]; img.src = img.MM_up; img.MM_dn = 0; }
    document[grpName] = nbArr = new Array();
    for (i=2; i < args.length-1; i+=2) if ((img = MM_findObj(args[i])) != null) {
      if (!img.MM_up) img.MM_up = img.src;
      img.src = img.MM_dn = args[i+1];
      nbArr[nbArr.length] = img;
  } }
}
// List Of Value
// Usage : 
//        pkgName  : package Name
//        codeField: Double Click   Code Form Field
//        codeTitle: List Of Value Code Title
//        descField: Double Click   Description Form Field
//        descTitle: List Of Value Description Title
//        allValue : ü 
function _lov(table,code,desc){
  now = new Date();
  var url = "/comm/lovMain.jsp?table="+table+"&time="+now.getTime();
  var rv  = window.showModalDialog(url,"","dialogHeight:400px; dialogWidth:320px; center:yes; help:off; status:off; edge:sunken");
  if(rv){// if rv is defined
      var innerValue = String(rv);
      var i = innerValue.indexOf(" ");
      if(!(code && desc)){ alert("Undefined Code Or Desc Field :"+codeField+':'+descField);}
      if(!code) code.value = innerValue.substr(0,i);
      if(!desc) desc.value = innerValue.substr(i+1);
  }
}
//Validation
function _validate(pkgName,argValue,displayField,allValue){
    now = new Date();
    top.validation.document.location="/comm/validate.jsp?pkgName="+pkgName+"&argValue="+argValue+"&displayField="+this.name+'.'+displayField+"&time="+now.getTime()+"&allValue="+allValue;
}

function _validation(pkgName,field,displayField,allValue){
    now = new Date();
    code = eval(field);
    //   ٸ   ʰ  Ų.
    if(code.value == '') return;
    var frameName = this.name+'.';
    if(frameName == 'contents.') frameName = '';
    top.validation.document.location="/comm/validation.jsp?pkgName="+pkgName+"&codeField="+frameName+field+"&codeValue="+code.value+"&displayField="+frameName+displayField+"&time="+now.getTime()+"&allValue="+allValue;
}
function _validation2(pkgName,field,displayField,allValue){
    now = new Date();
    code = eval(field);
    //   ٸ   ʰ  Ų.
    var frameName = this.name+'.';
    parent.validation.document.location="/comm/validation2.jsp?pkgName="+pkgName+"&codeField="+frameName+field+"&codeValue="+code.value+"&displayField="+frameName+displayField+"&time="+now.getTime()+"&allValue="+allValue;
}

//Printer Option
function _showPrintOptionWindow(obj){
    now = new Date();
    var url =  '/comm/printOptions.jsp?time='+now.getTime();
    var rv  = window.showModalDialog(url,obj,"dialogHeight:300px; dialogWidth:373px; center:yes; help:off; status:off;");
}
function _getSystem(val){
	var str = new String(val);
	var subfix = str.match(/^\//);
	if(subfix != null){
		return str.substr(1,2);
	}
	return 'ad';
}
function _doDocumentReadOnly(obj){
    for(var i=0;i < obj.forms.length;i++){
        doFormReadOnly(obj.forms[i]);
    }
}
function _doFormReadOnly(obj){
    for(var i=0; i < obj.elements.length;i++){
        var element = obj.elements[i];
        if(element.type == 'text') element.readOnly='true';
        else if(element.type == 'radio') element.disabled='true';
        else if(element.type == 'select-one') element.disabled='true';
        else if(element.type == 'textarea') element.disabled='true';
    }
}
// Container No Check
function _findValue(val){
    var alpha = new Array('A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z');
    var digit = new Array(10, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 34, 35, 36, 37, 38);
    for(var i=0;i < alpha.length;i++){
        if(alpha[i] == val){
            return digit[i];
        }
    }
    return null;
}
function _isValidContrNo(obj){
    if(obj.value == "") return false;
    var chkDigit = 0;             // Check Digit   .
    var contrNo = new String(obj.value);// Container No(11ڸ)
    var contrNoArray = new Array();// Container No Array  /ڷ   Ѵ.
    if(contrNo.length != 11){
        alert('Container Length must be 11');
        return false;
    }
    for(var i=0;i < 4;i++)  // ڸ óѴ.
        contrNoArray[i] = _findValue(contrNo.charAt(i))*Math.pow(2,i);
    for(var i=4;i < 10;i++){ // ڸ óѴ.
        contrNoArray[i] = contrNo.charAt(i)*Math.pow(2,i);
    }
    for(var i=0;i < 10;i++)  // ڿ ڷ ó   Ѵ.
        chkDigit = chkDigit + contrNoArray[i];
    chkDigit = chkDigit % 11; // 11   ´.
    chkDigit = chkDigit % 10; // 10   ´.
    if(chkDigit == contrNo.charAt(10)){
        return true;
    } else {
        alert('Invalid Container No: '+contrNo+"'s Last Digit is "+chkDigit+" !!!!");
        return false;
    }
}
// Tool Tip
document.body.insertAdjacentHTML('beforeEnd',"<marquee id='_toolTip' class='toolTip' scrollDelay='150'></marquee>");
//document.body.insertAdjacentHTML('beforeEnd',"<div id='_toolTip' class='toolTip'></div>");
function _showTip(text) {
    obj = event.srcElement; 
    _toolTip.style.pixelTop= _getPageTop(obj) + obj.offsetHeight + 1;
    _toolTip.style.pixelLeft= _getPageLeft(obj) + obj.offsetWidth + 1;
    _toolTip.innerText=text; 
    _toolTip.style.display="inline";
}
function _hideTip() {
    _toolTip.style.display="none";
}
function _getPageLeft (el) {
  var left = 0;
  do 
    left += el.offsetLeft;
  while ((el = el.offsetParent));
  return left;
}
function _getPageTop (el) {
  var top = 0;
  do 
    top += el.offsetTop;
  while ((el = el.offsetParent));
  return top;
}

