package com.hanbit.ga.ejb.entity.emp;

import com.hanbit.comm.ejb.entity.SnapShotTooOldException;
import com.hanbit.comm.util.DateUtil;

import java.rmi.RemoteException;

import java.sql.Timestamp;

import javax.ejb.*;


public class EmpBean extends EmpVO implements javax.ejb.EntityBean {
    //---------------------------------------------------------
    private EntityContext ctx;

    public Integer ejbCreate(EmpVO empVO) throws CreateException {
        init(empVO.empno, empVO.ename, empVO.job, empVO.mgr, empVO.hiredate, 
             empVO.sal, empVO.comm, empVO.deptno, empVO.upddate);

        return new Integer(this.getEmpno());
    }

    public void ejbPostCreate(EmpVO empVO) {
    }

    public EmpVO getVO() throws RemoteException {
        return super.getData();
    }

    public EmpVO setVO(EmpVO empVO) throws SnapShotTooOldException {
        if (getUpddate().after(empVO.getUpddate())) {
            throw new SnapShotTooOldException();
        }

        init(empVO.empno, empVO.ename, empVO.job, empVO.mgr, empVO.hiredate, 
             empVO.sal, empVO.comm, empVO.deptno, DateUtil.getToday());

        return getData();
    }

    // EntityBean interface implementation
    public void ejbActivate() throws RemoteException {
    }

    public void ejbLoad() throws RemoteException {
    }

    public void ejbPassivate() throws RemoteException {
    }

    public void ejbRemove() throws RemoteException {
    }

    public void ejbStore() throws RemoteException {
    }

    public void setEntityContext(EntityContext ctx) throws RemoteException {
        this.ctx = ctx;
    }

    public void unsetEntityContext() throws RemoteException {
        this.ctx = null;
    }
}