package com.hanbit.ga.ga1111;

import com.hanbit.comm.ejb.session.*;
import com.hanbit.comm.servlet.*;
import com.hanbit.comm.code.*;

import javax.naming.*;
import javax.servlet.http.*;

import java.util.*;

public class GA1111Find implements Command{
    private String next;

    public GA1111Find(String next){
        this.next = next;
    }
    
    public String execute(HttpServletRequest req)
    throws CommandException{
        HttpSession session = req.getSession();
        String msgKey       = req.getRequestedSessionId();
        String table = req.getParameter("table");
        String code  = req.getParameter("code");
        String desc  = req.getParameter("desc");
        try{
            MetaCodeManager metaMgr = MetaCodeManager.getInstance();
            CodeManager mgr = (CodeManager)metaMgr.getCodeManager(table);
            
            Code[] codes = mgr.getCodes();
            Vector list = new Vector();
            if(codes != null){
                for(int i=0;i < codes.length;i++){
                    Code data = codes[i];
                    String name  = (String)data.getName();
                    String value = (String)data.getValue();
                    if(name.startsWith(code) && value.startsWith(desc))
                        list.add(data);
                }
                req.setAttribute(GA1111Servlet.VT_NAME,list);
            }else{
                req.setAttribute(msgKey,new Message("No Row Selected!"));
            }
        }catch(Exception e){
            throw new CommandException(e);
        }
        return next;
    }
}
