CREATE OR REPLACE PACKAGE BODY pk_Emp
AS
-- Deptno Է¹޾ EmpRef(Cursor) ϴ Procedure
  PROCEDURE sp_GetEmpByDeptno(pvc_deptno IN    Dept.DEPTNO%TYPE,
                              ResultSet  IN OUT EmpRef)
  IS
  BEGIN
    OPEN ResultSet FOR
    SELECT a.empno                               empno,
           a.ename                               ename,
           a.job                                 job,
           a.mgr                                 mgr,
           c.ename                               mgrName,
           a.hiredate                            hiredate,
           a.sal                                 sal,
           a.comm                                comm,
           a.deptno                              deptno,
           b.dname                               dname,
           a.upddate                             upddate
      FROM emp a,dept b,emp c
     WHERE a.deptno = b.deptno
       AND a.mgr    = c.empno(+)
       AND a.deptno = pvc_deptno
     ORDER BY a.ename;
   EXCEPTION 
        WHEN NO_DATA_FOUND THEN
             NULL;
  END sp_GetEmpByDeptno;
END pk_Emp;
/
show error 
clear
